Skip to main content
GET
List pull requests

Authorizations

Authorization
string
header
required

Query Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>

Required if you are using the sort parameter's leadTime option to sort pull requests.

applicationKey
string<string>

Filter the results to pull requests deployed to a comma separated list of applications

status
string<string>

Filter results to pull requests with the given status. Options: open, merged, closed, deployed.

query
string<string>

Filter list of pull requests by title or author

limit
integer<int64>

The number of pull requests to return. Default is 20. Maximum allowed is 100.

expand
string<string>

Expand properties in response. Options: deployments, flagReferences, leadTime.

sort
string<string>

Sort results. Requires the environmentKey to be set. Options: leadTime (asc) and -leadTime (desc). When query option is excluded, default sort is by created or merged date.

from
string<date-time>

Unix timestamp in milliseconds. Default value is 7 days ago.

to
string<date-time>

Unix timestamp in milliseconds. Default value is now.

after
string<string>

Identifier used for pagination

before
string<string>

Identifier used for pagination

Response

Pull request collection response

totalCount
integer
required

The total number of pull requests

Example:

25

items
object[]
required

A list of pull requests

The location and content type of related resources

Example: